% . . 
clear all;clc

hx=[-100:100];

% . . subplot1
vs=2; sins= 30.0/180*pi;
vr=2; sinr=-29.9/180*pi;
pr= sinr/vr;
ps= sins/vs;
qr=sqrt(1/vr^2-pr^2);
qs=sqrt(1/vs^2-ps^2);
zbs= hx*(pr-ps)/(qr+qs);
zfs=-hx*(pr+ps)/(qr-qs);
figure(1)
subplot(2,2,1)
plot(hx,zbs,'r',hx,zfs,'g'); axis ij;axis square
legend('BS','FS',4)
ylabel('Depth')
title('No Geol Dip: \theta_s=30^{\circ}, \theta_r=-29.9^{\circ}; v_r=v_s')
axis([-100,100,-100,100])

% . . subplot2
vs=2  ; sins= 30/180*pi;
vr=1.5; sinr=-22/180*pi;
pr= sinr/vr;
ps= sins/vs;
qr=sqrt(1/vr^2-pr^2);
qs=sqrt(1/vs^2-ps^2);
zbs=hx*(pr-ps)/(qr+qs);
zfs=-hx*(pr+ps)/(qr-qs);
subplot(2,2,2)
plot(hx,zbs,'r',hx,zfs,'g'); axis ij;axis square
title('No Geol. Dip: \theta_s=30^{\circ}, \theta_r=-22.0^{\circ}; v_r=0.75*v_s')
axis([-100,100,-100,100])

% . . subplot3
vs=2; sins= 30/180*pi;
vr=2; sinr= 0/180*pi;
pr= sinr/vr;
ps= sins/vs;
qr=sqrt(1/vr^2-pr^2);
qs=sqrt(1/vs^2-ps^2);
zbs=hx*(pr-ps)/(qr+qs);
zfs=-hx*(pr+ps)/(qr-qs);
figure(1)
subplot(2,2,3)
plot(hx,zbs,'r',hx,zfs,'g'); axis ij;axis square
ylabel('Depth')
xlabel('Subsurface offset')
title('Geol Dip 15^{\circ}: \theta_s=30^{\circ}, \theta_r=0^{\circ}; v_r=v_s')
axis([-100,100,-100,100])

% . . subplot4
vs=2  ; sins= 30/180*pi;
vr=1.5; sinr=  0/180*pi;
pr= sinr/vr;
ps= sins/vs;
qr=sqrt(1/vr^2-pr^2);
qs=sqrt(1/vs^2-ps^2);
zbs=hx*(pr-ps)/(qr+qs);
zfs=-hx*(pr+ps)/(qr-qs);
subplot(2,2,4)
plot(hx,zbs,'r',hx,zfs,'g'); axis ij;axis square
xlabel('Subsurface offset')
title('\theta_s=30^{\circ}, \theta_r=0^{\circ}; v_r=0.75*v_s')
axis([-100,100,-100,100])

print -depsc2 FSBSexamp.eps