% . . This section plots shit

% . . Variables
vs=2;
vr=2;
thetas=pi/3;
thetar=-pi/4;

% . . Functions
ps=sin(thetas)/vs;
pr=sin(thetar)/vr;
qs=cos(thetas)/vs;
qr=cos(thetar)/vr;


% . . Space
X=[0:10:1000];
H=[-150:5:150];

[XX,HH]=ndgrid(X,H);

ZZbs = -XX.*(ps+pr)/(qs+qr) + HH.* (pr-ps)/(qs+qr);
ZZfs = -XX.*(-ps+pr)/(-qs+qr) + HH.* (pr+ps)/(qr-qs);

% . . Plotting
figure(1)
subplot(1,2,1)
surf(XX,HH,ZZbs);
title('Backscattered Scenario')
xlabel('Horizontal Distance -x');ylabel('Offset - h');
zlabel('Depth -z')

subplot(1,2,2)
surf(XX,HH,ZZfs);
title('Forward-scattered Scenario')
xlabel('Horizontal Distance -x');ylabel('Offset - h');
zlabel('Depth -z')


% . . Space
newX=0;
H=[-150:5:150];

[newXX,HH]=ndgrid(newX,H);

zbs = -newX.* (ps+pr)/( qs+qr) + H* (pr-ps)/(qs+qr);
zfs = -newX.*(-ps+pr)/(-qs+qr) + H* (pr+ps)/(qr-qs);

zdep=1000;
figure(2)
plot(H,zbs+zdep,'r',H,zfs+zdep,'g');
legend('BS','FS');
xlabel('Subsurface Offset -h');ylabel('Depth - z');
axis image;axis ij
